/*
 * $Id: Query.java,v 1.1 2005/11/16 17:14:27 rampil Exp $
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.koike.rss.tools.docb;

/**
 * ドキュメントシステムに対する問い合わせ条件オブジェクト
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.1 $
 */
public class Query {
	/** URL */
	private String url;
	/** 文書番号 */
	private int docno;

	/**
	 * コンストラクタ．
	 */
	public Query() {
	}
	/**
	 * 文書番号を返す．
	 * @return 文書番号
	 */
	public int getDocno() {
		return docno;
	}

	/**
	 * URLを返す．
	 * @return URL
	 */
	public String getUrl() {
		return url;
	}

	/**
	 * 文書番号を設定する．
	 * @param i 文書番号
	 */
	public void setDocno(int i) {
		docno = i;
	}

	/**
	 * URLを設定する．
	 * @param string URL
	 */
	public void setUrl(String string) {
		url = string;
	}

}
